gnutls_openpgp_crt_get_subkey_fingerprint(3)

NAME
gnutls_openpgp_crt_get_subkey_fingerprint - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_subkey_fingerprint(gnutls_openpgp_crt_t key, unsigned int idx, void * fpr, size_t * fprlen);

ARGUMENTS

gnutls_openpgp_crt_t key
    the raw data that contains the OpenPGP public key.

unsigned int idx
    the subkey index

void * fpr
    the buffer to save the fingerprint, must hold at least 20 bytes.

size_t * fprlen
    the integer to save the length of the fingerprint.

DESCRIPTION
Get key fingerprint of a subkey. Depending on the algorithm, the fingerprint can be 16 or 20 bytes.

RETURNS
On success, 0 is returned. Otherwise, an error code.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.